// // Clear input search field
// const clearBtn = document.querySelector('.search-wrapper .btn-clear')
// const searchInput = document.querySelector('.search-wrapper input')

// // Clear text function

// function clearTextField() {
//   searchInput.value = ''
// }

// // Initially hide close button

// if (clearBtn !== null) {
//   // On close button click remove input value and hide close button.
//   clearBtn.addEventListener('click', () => {
//     clearTextField()
//   })
// }

// export const Mykademy = {
//   clearBtn,
//   searchInput,
//   clearTextField
// }

// /* eslint-disable no-console */
// import BaseComponent from './base-component'

// class Mykademy extends BaseComponent {
//   document.addEventListener('mousedown', e => {
//     'use strict'
//     if (e.target.classList.contains('btn-clear')) {
//       const search = e.target.parentNode
//       if (e.target.parentNode.classList.contains('search-wrapper')) {
//         search.querySelector('input').value = ''
//       }
//     }
//   }
// }

// export default Mykademy

// Example of Alert trigger execution

const alertPlaceholder = document.getElementById('liveAlertPlaceholder')
const alertTrigger = document.getElementById('liveAlertBtn')

function alert(message, type) {
  const wrapper = document.createElement('div')
  wrapper.innerHTML = `<div class="alert alert-${type} fade show" role="alert"><span class="alert-info">${message}</span><div class="action-wrapper"><button type="button" class="btn btn-primary btn-sm btn-round bg-primary-fade alert-btn-gap" data-bs-dismiss="alert" aria-label="Close">Close</button></div></div>`

  alertPlaceholder.append(wrapper)
}

if (alertTrigger) {
  alertTrigger.addEventListener('click', () => {
    // Add alert message and alert type i.e. primary or secondary
    alert('Nice, you triggered this alert message!', 'primary')
  })
}

// Circle Progress

const forEach = function (array, callback, scope) {
  for (let i = 0; i < array.length; i++) {
    callback.call(scope, i, array[i])
  }
}

window.addEventListener('load', () => {
  const max = -219.99078369140625
  forEach(document.querySelectorAll('.progress-circle'), (index, value) => {
    const percent = value.getAttribute('data-progress')
    /* eslint-disable no-console */
    const offsetCalc = ((100 - percent) / 100) * max
    console.log(offsetCalc)
    value.querySelector('.fill').setAttribute('style', 'stroke-dashoffset: ' + offsetCalc)
    value.querySelector('.value').innerHTML = percent + '%'
  })
})

// Select dropdown
for (const dropdown of document.querySelectorAll('.custom-select-wrapper')) {
  dropdown.addEventListener('click', function () {
    this.querySelector('.custom-select').classList.toggle('open')
  })
}

for (const option of document.querySelectorAll('.custom-option')) {
  option.addEventListener('click', function () {
    if (!this.classList.contains('selected')) {
      this.parentNode.querySelector('.custom-option.selected').classList.remove('selected')
      this.classList.add('selected')
      this.closest('.custom-select').querySelector('.custom-select-trigger input').value = this.textContent
    }
  })
}

window.addEventListener('click', e => {
  for (const select of document.querySelectorAll('.custom-select')) {
    if (!select.contains(e.target)) {
      select.classList.remove('open')
    }
  }
})

export const Mykademy = {
  alertPlaceholder,
  alertTrigger
}
